# RiskModelHistogram (ARX API Documentation)

org.deidentifier.arx.risk

## Class RiskModelHistogram

- java.lang.Object
- - org.deidentifier.arx.risk.RiskModelHistogram

-     public class RiskModelHistogram
      extends java.lang.Object

  This class encapsulates information about equivalence classes in a data set

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RiskModelHistogram(com.carrotsearch.hppc.IntIntOpenHashMap distribution)` Creates a new instance from the given distribution

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getAvgClassSize()` Returns a property of the class distribution
    `int[]` | `getHistogram()` Returns class-size[idx], class-count[idx+1],...
    `double` | `getNumClasses()` Returns a property of the class distribution
    `double` | `getNumRecords()` Returns a property of the class distribution

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RiskModelHistogram

          public RiskModelHistogram(com.carrotsearch.hppc.IntIntOpenHashMap distribution)

      Creates a new instance from the given distribution
      Parameters:
        `distribution` -

  - ### Method Detail

    - #### getAvgClassSize

          public double getAvgClassSize()

      Returns a property of the class distribution
      Returns:
        the avgClassSize

    - #### getHistogram

          public int[] getHistogram()

      Returns class-size[idx], class-count[idx+1],... ordered ascending by class size
      Returns:
        the histogram

    - #### getNumClasses

          public double getNumClasses()

      Returns a property of the class distribution
      Returns:
        the numClasses

    - #### getNumRecords

          public double getNumRecords()

      Returns a property of the class distribution
      Returns:
        the numRecords